Bug 608727 - pulp package commands not working
pulp package commands not working
Status: CLOSED NOTABUG
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Connor
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 10:53 EDT by wes hayutin
Modified: 2014-03-30 21:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 09:51:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-06-28 10:53:54 EDT
[root@localhost rhn]# ls /var/lib/pulp/f12-i386/Packages/z*
/var/lib/pulp/f12-i386/Packages/zd1211-firmware-1.4-3.noarch.rpm    /var/lib/pulp/f12-i386/Packages/zlib-1.2.3-23.fc12.i686.rpm
/var/lib/pulp/f12-i386/Packages/zenity-2.28.0-1.fc12.i686.rpm       /var/lib/pulp/f12-i386/Packages/zlib-devel-1.2.3-23.fc12.i686.rpm
/var/lib/pulp/f12-i386/Packages/zip-2.31-8.fc12.i686.rpm            /var/lib/pulp/f12-i386/Packages/zsh-4.3.10-4.fc12.i686.rpm
/var/lib/pulp/f12-i386/Packages/zisofs-tools-1.0.8-5.fc12.i686.rpm
[root@localhost rhn]# pulp package info --repoid=f12-i386 -p=zsh-4.3.10-4.fc12.i686
Package [=zsh-4.3.10-4.fc12.i686] not found in repo [f12-i386]
[root@localhost rhn]# pulp package info --repoid=f12-i386 -p=zsh
Package [=zsh] not found in repo [f12-i386]
[root@localhost rhn]# 


[root@localhost rhn]# pulp repo list
+-------------------------------------------+
    List of Available Repositories 
+-------------------------------------------+

Label              	f12-i386                 
Name               	f12-i386                 
Feed               	{'url': 'http://download.devel.redhat.com/released/F-12/GOLD/Fedora/i386/os/', 'type': 'yum', 'supported_types': ['yum', 'local', 'rhn']}
Arch               	i386                     
Packages           	0                        
Package Categories 	[]                       
Package Groups     	0  


nothing interesting in the pulp logs
Comment 2 wes hayutin 2010-06-29 13:19:09 EDT
[root@localhost ~]# pulp package info -p zsh --repo=rhel-i386-server-5
+-------------------------------------------+
    Package Information 
+-------------------------------------------+
name:                	zsh                      
checksum:                	{'sha256': '10f0e53e662e84d1cf340524f9a8117fd3900b06edebe1694c950def165a48a7'}
requires:                	['/bin/sh', '/bin/sh', '/bin/sh', '/sbin/install-info', 'config(zsh)', 'fileutils', 'grep', 'libc.so.6', 'libc.so.6(GLIBC_2.0)', 'libc.so.6(GLIBC_2.1)', 'libc.so.6(GLIBC_2.1.3)', 'libc.so.6(GLIBC_2.2)', 'libc.so.6(GLIBC_2.3)', 'libc.so.6(GLIBC_2.3.4)', 'libc.so.6(GLIBC_2.4)', 'libcap', 'libdl.so.2', 'libdl.so.2(GLIBC_2.0)', 'libdl.so.2(GLIBC_2.1)', 'libm.so.6', 'libm.so.6(GLIBC_2.0)', 'libnsl.so.1', 'libtermcap.so.2', 'rpmlib(CompressedFileNames)', 'rpmlib(PayloadFilesHavePrefix)', 'rtld(GNU_HASH)']
download_url:                	http://localhost//pub/rhel-i386-server-5/zsh-4.2.6-3.el5.i386.rpm
filename:                	zsh-4.2.6-3.el5.i386.rpm 
epoch:                	None                     
version:                	4.2.6                    
provides:                	['cap.so', 'clone.so', 'compctl.so', 'complete.so', 'complist.so', 'computil.so', 'config(zsh)', 'datetime.so', 'deltochar.so', 'example.so', 'files.so', 'langinfo.so', 'mapfile.so', 'mathfunc.so', 'parameter.so', 'rlimits.so', 'sched.so', 'socket.so', 'stat.so', 'system.so', 'tcp.so', 'termcap.so', 'zftp.so', 'zle.so', 'zleparameter.so', 'zprof.so', 'zpty.so', 'zselect.so', 'zutil.so', 'zsh']
_ns:                	packages                 
release:                	3.el5                    
_id:                	76726215-b7ec-4d9a-8cbd-b8dde84f1716
arch:                	i386                     
id:                	76726215-b7ec-4d9a-8cbd-b8dde84f1716
description:                	The zsh shell is a command interpreter usable as an interactive login
shell and as a shell script command processor.  Zsh resembles the ksh
shell (the Korn shell), but includes many enhancements.  Zsh supports
command line editing, built-in spelling correction, programmable
command completion, shell functions (with autoloading), a history
mechanism, and more.

Note You need to log in before you can comment on or make changes to this bug.